package cn.javacoder.test_fastdfs;

import java.io.UnsupportedEncodingException;
import java.security.NoSuchAlgorithmException;

import org.csource.common.MyException;
import org.csource.fastdfs.ClientGlobal;
import org.csource.fastdfs.ProtoCommon;

public class TestAntiSteal {

	public static void main(String[] args) throws Exception {
		/*
		 * [group3, M00/01/74/wKgOmVh_dH6AE-f3AAA2_mDXnps704.jpg]
			[group1, M00/00/FE/wKgOl1h_dH-AOgPXAACsMYm9zVk307.jpg]
			[group3, M00/01/74/wKgOmVh_dH6Ae8iBAAAej-g1Wxs813.jpg]
			[group1, M00/00/FE/wKgOl1h_dH-AT7EWAAFH18dAUmg238.jpg]
			[group3, M00/01/74/wKgOmVh_dH6AKOQfAAC05IIdXVU575.jpg]
		 */
		String configFileName = "src/main/resources/fdfs_client.conf";
		ClientGlobal.init(configFileName);
		String remote_filename = "M00/01/74/wKgOmVh_dH6AE-f3AAA2_mDXnps704.jpg";
		int ts = (int)(System.currentTimeMillis()/1000);
		ts = ts + 100;
		String secret_key = "FastDFS1234567890";
		//1297930137
		//1484722645666
		String token = ProtoCommon.getToken(remote_filename, ts, secret_key);
		System.out.println("ts:" + ts + ", token:" + token);
	}

}
